### org.jfree.layouting.layouter.style.compiler

# Class CompiledSelectorWeight

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.compiler.CompiledSelectorWeight`

Implemented Interfaces:
  Comparable

`public class CompiledSelectorWeight`
`extends java.lang.Object`
`implements Comparable`

This selector weight is computed over all CSS-Declaration rules of an document. Lower weight rules get executed before all higher ranking rules. The more specific a rule is, the later it gets executed. This allows later rules to override previously defined rules.

  ## Constructor Summary

  `CompiledSelectorWeight(SelectorWeight selectorWeight, int fileOrder, int selectorOrder)`

  ## Method Summary

  `int`

  `compareTo(Object o)`
    Compares this object with the specified object for order.

## Constructor Details

### CompiledSelectorWeight

    public CompiledSelectorWeight(SelectorWeight selectorWeight,
                                  int fileOrder,
                                  int selectorOrder)

## Method Details

### compareTo

    public int compareTo(Object o)

> Compares this object with the specified object for order. Returns a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.

> Parameters:
>   `o` - the Object to be compared.
> Returns:
>   a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.